Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.util
Interface Factory<T>

All Superinterfaces:
  Serializable

    public interface Factory<T>

extends Serializable

A generified factory class which creates instances of a particular type.

Author:
  dramage

Method Summary
`T` | `create()` Creates and returns a new instance of the given type.

Method Detail

### create

    T create()

  Creates and returns a new instance of the given type.

  Returns:
    A new instance of the type T

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group